<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package o66FsWp
 */
$br = '<br />';


//IN TEORIA DA QUA IN POI THE VIEW
get_header();
echo 'io sono index.php';
var_dump(is_home());

//finta console:
echo $br.'<- logic before rendering header'.$br;

//prent_r($fields);
while ( have_posts() ) {
	the_post();
	$this_post_model = o66TheModel::createOneModelFromWpPostObject($post);
	o66TheModel::appendOneModelToTheModel($this_post_model);
}
$tree = o66TheModel::getTheTreeModelArray();
//prent_r($tree);
$fields = o66TheModel::getTheModelFieldsArray();

prent_r($tree);
prent_r($fields);



get_footer();